2003: Can't connect to MySQL server on '127.0.0.1:3306' (111 Connection refused)

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/mysql/connector/network.py", line 472, in open_connection
    self.sock.connect(sockaddr)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./app.py", line 50, in app
    scanner.doScan()
  File "/opt/Constalink/PyWaf/PyWaf/ScannerController.py", line 147, in doScan
    self._doLogScanResult(ScanResult().initWithResult(EnScanResult.ok))
  File "/opt/Constalink/PyWaf/PyWaf/ScannerController.py", line 255, in _doLogScanResult
    database=Config.dbName
  File "/usr/lib/python3/dist-packages/mysql/connector/__init__.py", line 162, in connect
    return MySQLConnection(*args, **kwargs)
  File "/usr/lib/python3/dist-packages/mysql/connector/connection.py", line 129, in __init__
    self.connect(**kwargs)
  File "/usr/lib/python3/dist-packages/mysql/connector/connection.py", line 454, in connect
    self._open_connection()
  File "/usr/lib/python3/dist-packages/mysql/connector/connection.py", line 417, in _open_connection
    self._socket.open_connection()
  File "/usr/lib/python3/dist-packages/mysql/connector/network.py", line 475, in open_connection
    errno=2003, values=(self.get_address(), _strioerror(err)))
mysql.connector.errors.InterfaceError: 2003: Can't connect to MySQL server on '127.0.0.1:3306' (111 Connection refused)